/* Framework for Polygon Structures on Clusters
 *
 * Leif Christian Larsen <leifchl@idi.ntnu.no>
 *
 */

/* fw_extract_cpu.h: Header file for CPU voxelization/transformation routines.
 */

#ifndef FW_EXTRACT_CPU
#define FW_EXTRACT_CPU

#include "fw_vector.h"
#include "fw_voxel.h"
#include "fw_wingededge.h"
#include "fw_coord.h"

#define EXTRACT_CPU_OPTIMIZED 	0x00
#define EXTRACT_CPU_UNOPTIMIZED 0x01


/* Prototypes for functions provided in fw_extract_gpu.c.
 * See that file for further information on the functions.
 */

void 				extract_cpu_init(void);
struct coordinate_list *	extract_points(struct vertex *v1, struct vertex *v2, struct vertex *v3);
void				extract_rotate_triangle(vector v1, vector v2, vector v3, vector *tv1, vector *tv2, vector *tv3, quaternion *ivquat);


#endif
