/* Framework for Polygon Structures on Clusters
 *
 * Leif Christian Larsen <leifchl@idi.ntnu.no>
 *
 */

/* fw_loadbalancer.h: Header file for the load-balancer
 * See fw_loadbalance.c for further details on the functions.
 */

#ifndef FW_LOADBALANCER
#define FW_LOADBALANCER


#include "fw_wingededge.h"

// flags which define the load-balancing strategy to use

#define LOADBALANCE_NONE			0x00
#define LOADBALANCE_LOCAL_EXTRACT		0x01
#define LOADBALANCE_GLOBAL_EXTRACT		0x02
#define LOADBALANCE_MANHATTAN_EXTRACT		0x03


void		loadbalance_hook_addpolygon(face *f);
void		loadbalance_hook_removevertex(vertex *v);
void		loadbalance_hook_movevertex_pre(vertex *v);
void		loadbalance_hook_movevertex_post(vertex *v);

void		loadbalance_localextract(void);
void		loadbalance_globalextract(void);
void		loadbalance_manhattan_init(void);
void		loadbalance_manhattan(face *f);
void		loadbalance_manhattanextract(void);

void		loadbalance_reset(void);
void		loadbalance_statistics_update(void);


#endif
