/* Framework for Polygon Structures on Clusters
 *
 * Leif Christian Larsen <leifchl@idi.ntnu.no>
 *
 */

/* fw_splitpolygons.h: Implement minimum communication/blocked transfer/bounding volumes
 * strategies and provide add/remove/move operations. See fw_splitpolygons.c
 */

#ifndef FW_SPLITPOLYGONS
#define FW_SPLITPOLYGONS


void	splitpolygons_addpolygon(mesh *m0, vertex *v0, vertex *v1, vertex *v2);
void	splitpolygons_removepolygon(mesh *m0, vertex *v);
void	splitpolygons_movevertex(mesh *m0, vertex *old, vertex *new);

void	splitpolygons_extractpoints_boundingvolumes(void);
void	splitpolygons_extractpoints_minimumtransfer(void);
void	splitpolygons_extractpoints_blockedtransfer(void);


#endif
